Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661320 - dev-python/twisted-19.10.0: re-keywording (was: dev-python/twisted:18.7.0 re-keywording)
Summary: dev-python/twisted-19.10.0: re-keywording (was: dev-python/twisted:18.7.0 re-...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 661396 691446
Blocks: 705488 710566 CVE-2019-12855
  Show dependency tree
 
Reported: 2018-07-16 14:44 UTC by Michał Górny
Modified: 2020-05-18 16:57 UTC (History)
1 user (show)

See Also:
Package list:
dev-python/twisted-19.10.0 ~alpha ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~hppa ~sparc dev-python/pyhamcrest-1.9.0-r1 ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~hppa ~sparc dev-python/hyperlink-19.0.0 ~hppa
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-07-16 14:44:14 UTC
New lovely dep, all arches gone ;-).
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-07-16 14:50:45 UTC
Including packages from bug #605122.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-07-16 14:53:42 UTC
Including packages from bug #614386.
Comment 3 Stabilization helper bot gentoo-dev 2018-07-16 15:26:38 UTC
An automated check of this bug failed - the following invalid arches are referenced in the atom list:

~ia64-hpux
~x86-interix
Comment 4 Stabilization helper bot gentoo-dev 2018-07-16 16:01:41 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Joshua Kinard gentoo-dev 2018-09-24 00:33:11 UTC
Keyworded for mips.
Comment 6 Stabilization helper bot gentoo-dev 2018-09-30 23:03:00 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/mistune-0.7.4

Please verify the atom list.
Comment 7 Stabilization helper bot gentoo-dev 2018-10-01 08:03:12 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-04 15:59:23 UTC
~arm done
Comment 9 Sergei Trofimovich gentoo-dev 2019-01-26 21:20:53 UTC
commit e8c24e404f3628e5469161dbb100b2aef4e8ef2a
Author: Mikle Kolyada <zlogene@gentoo.org>
Date:   Thu Jan 17 23:42:30 2019 +0300

    dev-python/twisted: Add ~sh keyword wrt bug #661320
Comment 10 ernsteiswuerfel 2019-03-18 01:04:11 UTC
Situation on ppc.

twisted-16.6.0-r3: FAILED (skips=1923, failures=6, errors=23, successes=9692)
   twisted-18.7.0: FAILED (skips=1920, failures=1, errors=11, successes=10291)

More info on failing tests: bug #677226.

# cat twisted-661320.report 
USE tests started on Mo 18. Mär 01:48:32 CET 2019

 FEATURES=' test' failed for =dev-python/twisted-18.7.0

FEATURES=' test' USE='' succeeded for =dev-python/pyhamcrest-1.9.0-r1
Comment 11 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-04-15 01:27:21 UTC
mpir is missing yasm (bug in DEPENDS) and the silly openssh dependency for tests... let us know when it is fixed.
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-02 22:01:41 UTC
~alpha keyworded
Comment 13 Stabilization helper bot gentoo-dev 2019-05-12 23:00:25 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/readme-0.6.0

Please verify the atom list.
Comment 14 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-11 17:12:22 UTC
*-fbsd is gone.
Comment 15 Stabilization helper bot gentoo-dev 2019-11-12 17:00:28 UTC
An automated check of this bug failed - the following invalid arch is referenced in the atom list:

~x86-fbsd
Comment 16 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-29 18:39:45 UTC
arm64 keyworded
Comment 17 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-29 18:47:25 UTC
(In reply to Aaron Bauman from comment #16)
> arm64 keyworded

disregard. dev-python/pyhamcrest needs fixing.

dropping arches for now.
Comment 18 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-29 21:00:11 UTC
Tests are now fixed in dev-python/pyhamcrest.

Sorry for all the noise.

@arches, please proceed.
Comment 19 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-29 22:48:06 UTC
arm64 keyworded
Comment 20 Rolf Eike Beer 2020-01-02 10:04:12 UTC
sparc keyworded
Comment 21 Thomas Deutschmann gentoo-dev Security 2020-01-19 15:43:58 UTC
Something is weird, let's re-run stable-bot:

!!! All ebuilds that could satisfy ">=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-python/automat-0.8.0::gentoo (masked by: ~x86 keyword)
- dev-python/automat-0.7.0::gentoo (masked by: ~x86 keyword)
- dev-python/automat-0.6.0::gentoo (masked by: ~x86 keyword)
- dev-python/automat-0.5.0::gentoo (masked by: ~x86 keyword)
Comment 22 Matt Turner gentoo-dev 2020-03-09 05:18:15 UTC
added ~alpha
Comment 23 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-03-25 05:40:13 UTC
x86 done.
Comment 24 Georgy Yakovlev gentoo-dev 2020-03-25 06:08:14 UTC
test_gtkApplicationActivate test fails with (obviously)
(trial:82): Gtk-WARNING **: 22:51:54.158: cannot open display: :0

from twisted/internet/test/test_gireactor.py

also

builtins.OSError: [Errno 24] Too many open file on couple of tests.

probably needs ulimit -n somewhere


some network tests fail as well

twisted.test.test_udp.MulticastTests.test_multicast
===============================================================================
[ERROR]
Traceback (most recent call last):
Failure: twisted.internet.defer.FirstError: FirstError[#0, [Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.MulticastJoinError'>: (b'\xe1\x00\x00\xfa', b'\x00\x00\x00\x00', 19, 'No such device')
]]




anyway, added ~ppc64, all  including network tests seem to pass if if test run by non-root user without extra sandboxing.
Comment 25 Sergei Trofimovich gentoo-dev 2020-05-03 21:59:31 UTC
~ia64 keyworded
Comment 26 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-06 18:42:52 UTC
~ppc keyworded
Comment 27 Rolf Eike Beer 2020-05-18 16:57:15 UTC
~hppa added. Last arch, closing.